# Uses of Class
org.apache.lucene.util.bkd.HeapPointWriter

Packages that use HeapPointWriter
Package
Description
org.apache.lucene.util.bkd
Block KD-tree, implementing the generic spatial data structure described in this paper.

- ## Uses of HeapPointWriter in org.apache.lucene.util.bkd

  Methods in org.apache.lucene.util.bkd with parameters of type HeapPointWriter
  Modifier and Type
  Method
  Description
  `void`
  BKDRadixSelector.`heapRadixSort(HeapPointWriter points, int from, int to, int dim, int commonPrefixLength)`
  Sort the heap writer by the specified dim.